FreeTDS API

Loading...
Searching...
No Matches
tds_column_funcs Struct Reference

## Public Attributes
tds_func_get_data * | get_data
tds_func_get_info * | get_info
tds_func_put_data * | put_data
| Send column data to server.
tds_func_put_info * | put_info
| Send metadata column information to server.
tds_func_row_len * | row_len

## Member Data Documentation

## ◆ put_data

tds_func_put_data* tds_column_funcs::put_data

Send column data to server.

Usually send parameters unless bcp7 is specified, in this case send BCP for TDS7+ (Sybase use a completely different format for BCP)

Parameters

  tds | A pointer to the TDSSOCKET structure managing a client/server operation.
  col | column to send
  bcp7 | 1 to send BCP column on TDS7+

## ◆ put_info

tds_func_put_info* tds_column_funcs::put_info

Send metadata column information to server.

Parameters

  tds | A pointer to the TDSSOCKET structure managing a client/server operation.
  col | column to send

The documentation for this struct was generated from the following file:

- include/freetds/tds.h